package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 退货记录报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbReturnorderitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbReturnorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbReturnorderitemsMapper.addSKcBbReturnorderitems", pd);
    }

    public List<PageData> findSKcBbReturnorderitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbReturnorderitemsMapper.selectSKcBbReturnorderitemsList", pd);
    }

    public Integer SKcBbReturnorderitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbReturnorderitemsMapper.SKcBbReturnorderitemsRemove", pd);
    }


    public Integer updateSKcBbReturnorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbReturnorderitemsMapper.updateSKcBbReturnorderitems", pd);
    }

}
